Support » Plugins and Hacks » [Resolved] You API Key is invalid

[Resolved] You API Key is invalid

  • I installed the Etsy-Shop Plugin to my WordPress and it does not work.
    I have an existing Etsy Shop and have generated a new Etsy App at http://www.etsy.com/developers

    After the generation of the app i get a KEYSTRING and a SHARED SECRET.
    When I paste the KEYSTRING in the input field “Etsy API Key” and press “save changes” I get a message, that the “API Key is invalid”.

    I don’t understand what exactly the problem is…
    Isn’t the keystring equal the Etsy API key?
    If so, where do I get the according API key?

    Thank you for your help.
    Best regards,


Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author fsheedy


    Hi rmtk,

    KEYSTRING is the Etsy API key.
    Please, make sure you copy it correctly.

    If still not work, send it to me privately, I will test it.

    I am also getting an invalid api key.
    Copy and paste commands are being used. There is no way the computer is messing it up.
    Can someone help, please?!

    Plugin Author fsheedy


    Hi miacarr,

    Please copy/paste the error debug text to have more details.


    I have the same issue! It was working since I intalled it last week – now all of a sudden ‘Invalid API key’ Please Help – my website is margsmud.com

    Plugin Author fsheedy


    Hi lulufreedman,

    Seems that you have exceeded your quota, go to your Etsy panel to see the limit and to request full access.

    Error: You have exceeded your quota of: 0 requests per 1 second(s)

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Resolved] You API Key is invalid’ is closed to new replies.